Routestripe API
MainKnowledge BaseSupport CentreAPI Reference
MainKnowledge BaseSupport CentreAPI Reference
  1. Plans
  • Introduction
    • What Is RouteStripe
    • Quick Start Guide
    • API Parameters
  • Default module
    • Get optimized locations
      POST
  • Management API
    • Visits
      • Store Visit
      • Update Visit by field
      • Get Visit
      • Get Visits
      • Delete Visit
    • Attachments
      • Store Attachment
      • Get Attachments
      • Get Attachment Image
      • Delete Attachment
    • Warehouses
      • Store Warehouse
      • Update Warehouse by field
      • Get Warehouse
      • Get Warehouses
      • Delete Warehouse
    • Vehicles
      • Store Vehicle
      • Update Vehicle by field
      • Get Vehicle
      • Get Vehicles
      • Delete Vehicle
    • Members
      • Store Member
      • Update Member by field
      • Get Member
      • Get Members
      • Delete Member
    • Plans
      • Store Plan
        POST
      • Update Plan by field
        POST
      • Get Plan
        GET
      • Get Plans.
        GET
      • Delete Plan
        DELETE
    • Routes
      • Store Route
      • Update Route by field
      • Get Route
      • Get Routes
      • Delete Route
    • Companies
      • Get Company
      • Update Company by field
    • Countries
      • Get Countries
  • Webhooks
    • Webhooks & Real-time Updates
  1. Plans

Store Plan

POST
https://api.routestripe.com/routing-plan/store
Plans

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Store successful.
Body

🟠400Bad Request
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.routestripe.com/routing-plan/store' \
--header 'api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "title": "Plan 12",
    "company_id": 85,
    "warehouse_id": 110,
    "query_id": 0,
    "squash_duration": 1,
    "avoid_tolls": 1,
    "avoid_highways": 0,
    "solving_time": null,
    "exploration": null,
    "status": 1,
    "settings": "{}",
    "solution": "{}",
    "service_date": "2025-09-17",
    "start_location_type": "W",
    "start_location_lng": 30.516586,
    "start_location_lat": 50.043529,
    "start_location_address": "",
    "end_location_type": "N",
    "end_location_lng": 30.516586,
    "end_location_lat": 50.043529,
    "end_location_address": "",
    "vehicle_settings": "{\"work_hour_start\":\"08:00\",\"work_hour_end\":\"18:00\",\"has_breaks\":0,\"speed_factor\":\"1.0\",\"max_distance\":0,\"overtime\":0,\"break_duration\":0}",
    "visit_balance_coefficient": 0,
    "external_warehouse_id": "string"
}'
Response Response Example
200 - Example 1
{
    "status": "success",
    "data": {
        "item": {
            "id": 0,
            "updated_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z"
        }
    }
}
Modified at 2025-12-18 14:35:31
Previous
Delete Member
Next
Update Plan by field
Built with